Subject: Re: [1/3] powerpc/mm/book3s64: Make KERN_IO_START a variable

From: Michael Ellerman <[email-masked]>
Date: Tue, 8 Aug 2017 20:55:13 +1000 (AEST)

On Tue, 2017-08-01 at 10:29:22 UTC, Michael Ellerman wrote:
> Currently KERN_IO_START is defined as:
> 
>  #define KERN_IO_START  (KERN_VIRT_START + (KERN_VIRT_SIZE >> 1))
> 
> Although it looks like a constant, both the components are actually
> variables, to allow us to have a different value between Radix and
> Hash with a single kernel.
> 
> However that still requires both Radix and Hash to place the kernel IO
> region at the same location relative to the start and end of the
> kernel virtual region (namely 1/2 way through it), and we'd like to
> change that.
> 
> So split KERN_IO_START out into its own variable, and initialise it
> for Radix and Hash. In the medium term we should be able to
> reconsolidate this, by doing a more involved rearrangement of the
> location of the regions.
> 
> Signed-off-by: Michael Ellerman <[email-masked]>
> Reviewed-by: Aneesh Kumar K.V <[email-masked]>
> Acked-by: Balbir Singh <[email-masked]>

Series applied to powerpc next.

https://git.kernel.org/powerpc/c/63ee9b2ff9d306efaa61b04b8710fa

cheers